Home > Could Not > Could Not Find A Suitable Database Driver Mysql

Could Not Find A Suitable Database Driver Mysql

Most of linux server run properly under this settings but sentos. Yes, I'm using a quite old config for php, but haven't had any issues so far( except this, obviously), and everything works (I use local LAMP just for local testing before I use Backblaze to keep a secure online backup of my photo archive and everything else important to me. Keep an eye on the low-traffic release > announcements mailing list. > > Checking environment... > Please include all of the lines below when reporting installation problems. > * PHP 5.3.2-1ubuntu4.5 navigate here

Reply hassan says: October 31, 2007 at 6:42 am hi guys, i have installed both dll files in c:/php directories and set environment variable also but in drupal index page i But I have already installed the php5-mysql, >> >> $ sudo apt-get install php5-mysql >> Reading package lists... Done >> Building dependency tree >> Reading state information... The Path for the php.ini is set to C:\Windows.

MediaWiki support places are also not the right place for information about setting up PHP right in the first place. As soon as I restarted mysql service after performing this operation, everything just started working. \o/ I hope that sharing this will save some people a good deal of time if Since [1] says: Warning: As of PHP 5.5, mysql.so is deprecated and will fill up your log files. Thanks.

This was all I had to do. 🙂 Reply Sokhawin says: March 30, 2016 at 12:05 pm I still can not make it work on ubuntu 15.10? If the xampp install works, maybe I can even convert it to get it to work with IIS instead. Checking environment... Here:http://www.code-magazine.com/Article.aspx?quickid=0403081Or go to Linux/Apache.

I still can not find mysqli or mysql loaded in phpinfo() function. If not, download the dll, copy it to the extension dir and enable in php.ini. extension=mysql.so doest work in this situation anyway .Thats strange when i check other system which had php4.4.8 and mysql 5.0.27 installed its work fine then it doesnt enabled the extension=mysql.so on http://stackoverflow.com/questions/4254258/cant-find-the-database-driver-for-mediawiki-during-installing Thanks for your sharing!

Slackware is still my distro of choice for servers. Thanks. Dilbert Ars Legatus Legionis Tribus: On a mote of dust suspended in a sunbeam. Also, I just copied the mysql.so file over.

If you compiled PHP yourself, reconfigure it with a database client enabled, for example using ./configure --with-mysql. http://forums.whirlpool.net.au/archive/612212 There's even a Snopes article about the film adaptation. this conversation has fixed my problem! For MySQL, compile PHP using --with-mysql, or install the mysql.so module MediaWiki version (1.16.1) PHP version(5.3.5) MySQL version (5.5.8 Enterprise Commercial Advanced Server) Reply 20:19, 21 January 2011 6 years ago

Remove the ‘;' from the start of the line and restart Apache. check over here Thank you Reply Kaitlin Duck Sherwood says: April 8, 2007 at 3:24 am I also was missing mysql.so; I found it by getting the package php4-mysql. I has been trying to fix this problem for hours. or how to install the mysql.so module??

Thx for clarification on that matter. Reply AK says: September 21, 2007 at 4:15 pm Thanks. YEY IT WORKED!!! his comment is here Forum Fellow Registered: 2006-11-26 Posts: 5,819 Re: Mediawiki - PHP - MySQL: Could not find a suitable database driver! $ php -mshould show you what modules you enabled and whether they

The problem arise when I try to set up LAMP enviroment on my Sentos pc. After reading a handful of tutorials, I got it updated, running, and working properly. Can someone can send me the file please at [email protected]

Done php5-mysql is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Join 2,655 other subscribers Email Address Passwords I use Lastpass to record and fill in my browser passwords. Referencing a char* that went out of scope What home printer would allow for exact alignment of front and back? There is only one php ini file on the system. Posted on January 3, 2007 by DonnchaCannot load mysql extension.

Related 6Can I revoke some database privileges from MediaWiki after installation?0PHP and MySQL on a MediaWiki Install0Change database character set in an existing MediaWiki installation1How to set session.save_path value when installing Conor - ye're crazy! 🙂 Reply andrea says: February 21, 2007 at 11:28 am I have a similar problem, but I cant'fix it…launching phpMyAdmin, today I get the following error: "phpMyAdmin What is the next step to collect money after a judgment has been ignored? weblink Offline #15 2012-03-03 23:45:07 HalfEmptyHero Member Registered: 2011-10-20 Posts: 16 Re: Mediawiki - PHP - MySQL: Could not find a suitable database driver!

I checked and double checked, installed, removed, cleaned, resinatlled, followed the procedure again and still got the same error. Only bettered by the superb Batman: Son of the Demon. Does anyone compile stuff anymore except for exotice plugins and code patches? Regards, Sokhawin Reply Leave a Reply Cancel reply Post navigation Previous PostPrevious Irish Blog Awards on March 3rdNext PostNext Irish traffic to drive on right Donncha Ă“ Caoimh is a software

Utildayael Ars Tribunus Angusticlavius Registered: Jul 30, 2002Posts: 7130 Posted: Mon Oct 16, 2006 2:28 pm Why? Please include all of the lines below when reporting installation problems. * PHP 5.3.2-1ubuntu4.5 installed Could not find a suitable database driver! * For MySQL, compile PHP using --with-mysql, or install Topics: Active | Unanswered Index »Networking, Server, and Protection »Mediawiki - PHP - MySQL: Could not find a suitable database driver! I download Media Wiki from Media Wiki directly and does not detect the mysql extension either.

Restart IIS if you're not using PHP as a CGI app.If you haven't got a php.ini file, make a copy of the php.ini-dist file from your PHP folder with the name I wanted SQLite, but only MySQL showed up, even though I can use SQLite with other php projects. Can anyone help! I made a test PHP page.

The specific procedure could not be found. Search for: Search Subscribe via Email Subscribe and receive notifications of new posts by email. I don't really want to write a wiki from scratch or almost scratch, that's why I'm trying to get MediaWiki to work.